Логотип сайта поддержки пользователей САПРО сайте поддержки пользователей САПР Translate to:

Изменение размера текста по точке выравнивания

Назад к списку функций
;;; th.LSP ver 1.0
;;; Установка выбраных объектов text или mtext к определенной высоте
;;; Изменение размера текста осуществялется на основе точки выравнивания
;;;
;;; Проверено на AutoCAD 2009
;;; Функция должна работать на более ранних и более поздних версиях AutoCAD

(defun c:th (/ sset i txtheight textsize)
  (vl-load-com)
  (setq i 0)
  (setq sset (ssget '((-4 . ""))))
  (if sset
    (progn
      (setq textsize (getvar "textsize"))
      (setq txtheight (getdist (strcat "\nУкажите высоту текста <" (rtos textsize) ">: ")))
      (if (= txtheight nil) (setq txtheight textsize))
      (repeat (sslength sset)
        (vla-put-height (vlax-ename->vla-object (ssname sset i)) txtheight)
        (setq i (1+ i))
      )
    )
  )
  (princ)
)

(princ "\nВведите команду TH")
(princ)

)



Copyright © Сайт поддержки пользователей САПР by Victor Tkachenko